## libgsl-ruby 1.9.2

=== ext/Makefile ===

SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = /home/yoshiki/Ruby/rb-gsl/ext
topdir = /usr/local/lib/ruby/1.8/i386-cygwin
hdrdir = $(topdir)
VPATH = $(srcdir):$(topdir):$(hdrdir)
prefix = $(DESTDIR)/usr/local
exec_prefix = $(DESTDIR)/usr/local
sitedir = $(DESTDIR)/usr/local/lib/ruby/site_ruby
rubylibdir = $(libdir)/ruby/$(ruby_version)
docdir = $(datarootdir)/doc/$(PACKAGE)
dvidir = $(docdir)
datarootdir = $(prefix)/share
archdir = $(rubylibdir)/$(arch)
sbindir = $(exec_prefix)/sbin
psdir = $(docdir)
localedir = $(datarootdir)/locale
htmldir = $(docdir)
datadir = $(datarootdir)
includedir = $(prefix)/include
infodir = $(datarootdir)/info
sysconfdir = $(prefix)/etc
mandir = $(datarootdir)/man
libdir = $(DESTDIR)/usr/local/lib
sharedstatedir = $(prefix)/com
oldincludedir = $(DESTDIR)/usr/include
pdfdir = $(docdir)
sitearchdir = $(sitelibdir)/$(sitearch)
bindir = $(exec_prefix)/bin
localstatedir = $(prefix)/var
sitelibdir = $(DESTDIR)/usr/local/lib/ruby/site_ruby/1.8
libexecdir = $(exec_prefix)/libexec

CC = gcc
LIBRUBY = lib$(RUBY_SO_NAME).dll.a
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static

RUBY_EXTCONF_H = 
CFLAGS   =   -Wall -I../include -I/usr/local/include 
INCFLAGS = -I. -I. -I/usr/local/lib/ruby/1.8/i386-cygwin -I/home/yoshiki/Ruby/rb-gsl/ext
CPPFLAGS = -DHAVE_RNGEXTRA_RNGEXTRA_H -DHAVE_QRNGEXTRA_QRNGEXTRA_H -DHAVE_OOL_OOL_VERSION_H -DHAVE_JACOBI_H -DHAVE_GSL_GSL_CQP_H -DHAVE_GSL_GSL_MULTIMIN_FSDF_H -DHAVE_NARRAY_H -I/usr/local/lib/ruby/site_ruby/1.8/i386-cygwin -I/usr/local/lib/ruby/site_ruby/1.8/i386-cygwin 
CXXFLAGS = $(CFLAGS) 
DLDFLAGS = -L.   -Wl,--enable-auto-image-base,--enable-auto-import,--export-all 
LDSHARED = gcc -shared -s
AR = ar
EXEEXT = .exe

RUBY_INSTALL_NAME = ruby
RUBY_SO_NAME = ruby
arch = i386-cygwin
sitearch = i386-cygwin
ruby_version = 1.8
ruby = /usr/local/bin/ruby
RUBY = $(ruby)
RM = rm -f
MAKEDIRS = mkdir -p
INSTALL = /usr/bin/install -c
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = $(INSTALL) -m 644
COPY = cp

#### End of system configuration section. ####

preload = 

libpath = . $(libdir) $(sitelibdir)/$(sitearch)
LIBPATH =  -L"." -L"$(libdir)" -L"$(sitelibdir)/$(sitearch)"
DEFFILE = 

CLEANFILES = 
DISTCLEANFILES = 

extout = 
extout_prefix = 
target_prefix = 
LOCAL_LIBS =  -L/usr/local/lib -lgsl -lgslcblas -lm
LIBS = $(LIBRUBYARG_SHARED) -lnarray -lgsl -lgsl -lgsl -lbundle_method -lcqp -ljacobi -lool -lqrngextra -lrngextra  -ldl -lcrypt  
SRCS = array.c array_complex.c blas.c blas1.c blas2.c blas3.c block.c bspline.c bundle.c cdf.c cheb.c combination.c common.c complex.c const.c const_additional.c cqp.c deriv.c dht.c diff.c dirac.c eigen.c error.c fcmp.c fft.c fit.c fresnel.c function.c graph.c gsl.c gsl_narray.c histogram.c histogram2d.c histogram3d.c histogram3d_source.c histogram_find.c histogram_oper.c ieee.c integration.c interp.c jacobi.c linalg.c linalg_complex.c math.c matrix.c matrix_complex.c matrix_double.c matrix_int.c min.c monte.c multifit.c multimin.c multimin_fsdf.c multiroots.c ntuple.c odeiv.c ool.c oper_complex_source.c permutation.c poly.c poly2.c qrng.c randist.c rational.c rng.c root.c sf.c sf_airy.c sf_bessel.c sf_clausen.c sf_coulomb.c sf_coupling.c sf_dawson.c sf_debye.c sf_dilog.c sf_elementary.c sf_ellint.c sf_elljac.c sf_erfc.c sf_exp.c sf_expint.c sf_fermi_dirac.c sf_gamma.c sf_gegenbauer.c sf_hyperg.c sf_laguerre.c sf_lambert.c sf_legendre.c sf_log.c sf_mathieu.c sf_power.c sf_psi.c sf_synchrotron.c sf_transport.c sf_trigonometric.c sf_zeta.c signal.c siman.c sort.c spline.c stats.c sum.c tamu_anova.c tensor.c vector.c vector_complex.c vector_double.c vector_int.c wavelet.c
OBJS = array.o array_complex.o blas.o blas1.o blas2.o blas3.o block.o bspline.o bundle.o cdf.o cheb.o combination.o common.o complex.o const.o const_additional.o cqp.o deriv.o dht.o diff.o dirac.o eigen.o error.o fcmp.o fft.o fit.o fresnel.o function.o graph.o gsl.o gsl_narray.o histogram.o histogram2d.o histogram3d.o histogram3d_source.o histogram_find.o histogram_oper.o ieee.o integration.o interp.o jacobi.o linalg.o linalg_complex.o math.o matrix.o matrix_complex.o matrix_double.o matrix_int.o min.o monte.o multifit.o multimin.o multimin_fsdf.o multiroots.o ntuple.o odeiv.o ool.o oper_complex_source.o permutation.o poly.o poly2.o qrng.o randist.o rational.o rng.o root.o sf.o sf_airy.o sf_bessel.o sf_clausen.o sf_coulomb.o sf_coupling.o sf_dawson.o sf_debye.o sf_dilog.o sf_elementary.o sf_ellint.o sf_elljac.o sf_erfc.o sf_exp.o sf_expint.o sf_fermi_dirac.o sf_gamma.o sf_gegenbauer.o sf_hyperg.o sf_laguerre.o sf_lambert.o sf_legendre.o sf_log.o sf_mathieu.o sf_power.o sf_psi.o sf_synchrotron.o sf_transport.o sf_trigonometric.o sf_zeta.o signal.o siman.o sort.o spline.o stats.o sum.o tamu_anova.o tensor.o vector.o vector_complex.o vector_double.o vector_int.o wavelet.o
TARGET = rb_gsl
DLLIB = $(TARGET).so
EXTSTATIC = 
STATIC_LIB = 

RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)

TARGET_SO     = $(DLLIB)
CLEANLIBS     = $(TARGET).so $(TARGET).il? $(TARGET).tds $(TARGET).map
CLEANOBJS     = *.o *.a *.s[ol] *.pdb *.exp *.bak

all:		$(DLLIB)
static:		$(STATIC_LIB)

clean:
		@-$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES)

distclean:	clean
		@-$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
		@-$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)

realclean:	distclean
install: install-so install-rb

install-so: $(RUBYARCHDIR)
install-so: $(RUBYARCHDIR)/$(DLLIB)
$(RUBYARCHDIR)/$(DLLIB): $(DLLIB)
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
install-rb: pre-install-rb install-rb-default
install-rb-default: pre-install-rb-default
pre-install-rb: Makefile
pre-install-rb-default: Makefile
$(RUBYARCHDIR):
	$(MAKEDIRS) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .cxx .cpp .C .o

.cc.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cxx.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cpp.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.C.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.c.o:
	$(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) -c $<

$(DLLIB): $(OBJS)
	@-$(RM) $@
	$(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)



$(OBJS): ruby.h defines.h
