## libgsl-ruby 1.14.3

=== debian/changelog ===
libgsl-ruby (1.14.3-1) unstable; urgency=low

  [ Deepak Tripathi ]
  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
      + added debian/source
  * Bumped Standard Version to 3.8.4
  * debian/control
      + added myself to uploaders
      + ported to ruby1.9.1
  * debian/patches
      + added patch for bashisum.
      + added patch for min.c's GSL_1_2_LATER checking.
  * debian/
      + added README.source
  * debian/copyright
      + updated copyright file.
      
  [ Daigo Moriwaki ]
  * debian/control: Provides -dbg packages.
  * Removed debian/libgsl-ruby-doc.docs, debian/libgsl-ruby1.8.docs: 
    - Merged to debian/rules.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 15 May 2010 19:25:22 +0900

libgsl-ruby (1.10.3-3) unstable; urgency=low

  * Added debian/patches/20091022-DashAsBinSh-1.10.3.patch:
    Fixed "bashism in /bin/sh script" (Closes: #530117)

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 23 Oct 2009 20:18:32 +0900

libgsl-ruby (1.10.3-2) unstable; urgency=low

  [ Daigo Moriwaki ]
  * Applied a patch from Daniel Moerner
    + debian/control:
      - Bumped up Standards-Version to 3.8.3.
      - Added misc:Depends correctly.
    + debian/copyright:
      - Added years of the copyright holder.
      - Updated a pointer to the LGPL file.
  * debian/patches/20091021-GSL_CONST_CGSM_GAUSS-removed-from-upstream-
    libgsl-1.3.patch:
    + Thanks to Daniel Moerner
    + Fixed a FTBFS error. (Closes: #549435)

  [ Gunnar Wolf ]
  * Changed section to Ruby as per ftp-masters' request

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 23 Oct 2009 07:41:43 +0900

libgsl-ruby (1.10.3-1) unstable; urgency=low

  [ Daigo Moriwaki ]
  * New upstream release.

  [ Lucas Nussbaum ]
  * Use new Homepage dpkg header.

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 21 Dec 2007 12:54:52 +0900

libgsl-ruby (1.9.2-3) unstable; urgency=low

  * Fixed FTBFS: min.c:128: error: static declaration of
    'gsl_min_fminimizer_x_minimum' follows non-static
    declaration (Closes: #443013)
    - Added debian/patches/min.c.patch
    - debian/rules now uses simple-patchsys.mk
  * debian/control: an extra space is required before 'homepage'.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 22 Sep 2007 20:38:59 +0900

libgsl-ruby (1.9.2-2) unstable; urgency=low

  * The bug, libgsl-ruby1.8: Strange behaviour when accessing GSL::Vector
    elements with get() and [], has been fixed by the upstream's new 
    releaase (Closes: #423850).

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 02 Sep 2007 11:56:58 +0900

libgsl-ruby (1.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 02 Sep 2007 11:39:20 +0900

libgsl-ruby (1.9.0-4) unstable; urgency=low

  * debian/control: use shlibs instead of hardconding the dependencies.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 02 Sep 2007 11:32:30 +0900

libgsl-ruby (1.9.0-3) unstable; urgency=low

  * Fixed dependancy: libgsl0 -> libgsl0ldbl.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 27 Aug 2007 21:23:51 +0200

libgsl-ruby (1.9.0-2) unstable; urgency=low

  * A library, rb_gsl.so,  was errornously installed into
    /usr/local/lib/site_ruby/1.8/... Now it will go to
    /usr/lib/site_ruby/1.8/...

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 13 May 2007 14:17:44 +0900

libgsl-ruby (1.9.0-1) unstable; urgency=low

  * New upstream release.
  * The package has been taken over. I am now a primary maintainer.
  * Built with NArray to support NArray compatibilities. Now it depends on
    libnarray-ruby1.8.
  * Stopped using the "Uploaders rule". 

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 16 Apr 2007 22:28:33 +0900

libgsl-ruby (1.8.3-1) unstable; urgency=low

  * Initial release.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue,  6 Jun 2006 21:09:15 +0200
