=== debian/control ===
Source: libgsl-ruby
Section: ruby
Priority: optional
Maintainer: Daigo Moriwaki <daigo@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Deepak Tripathi <apenguinlinux@gmail.com>
Build-Depends: debhelper (>= 7.0.0), ruby1.9.1, ruby1.9.1-dev, ruby1.8, ruby1.8-dev, rdoc, graphviz, cdbs, quilt, ruby-pkg-tools (>= 0.17), libgsl0-dev (>= 1.14), plotutils, libnarray-ruby1.8, libnarray-ruby1.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/libgsl-ruby/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/libgsl-ruby/
Standards-Version: 3.8.4
Homepage: http://rb-gsl.rubyforge.org/

Package: libgsl-ruby1.8
Architecture: any
Depends: ruby1.8, plotutils, libnarray-ruby1.8, ${shlibs:Depends}, ${misc:Depends}
Suggests: libgsl-ruby-doc
Description: Ruby bindings for the GNU Scientific Library (GSL)
 The GNU Scientific Library (GSL) is a collection of data types and
 routines for numerical computing. Ruby/GSL is an interface to the GNU
 Scientific Library for the Ruby programming language.

Package: libgsl-ruby1.8-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgsl-ruby1.8 (= ${binary:Version}), ${misc:Depends}
Description: Ruby bindings for the GNU Scientific Library (GSL)
 The GNU Scientific Library (GSL) is a collection of data types and
 routines for numerical computing. Ruby/GSL is an interface to the GNU
 Scientific Library for the Ruby programming language.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: libgsl-ruby
Architecture: all
Depends: libgsl-ruby1.8 (>= ${source:Version}), ${misc:Depends}
Suggests: libgsl-ruby-doc
Description: Ruby bindings for the GNU Scientific Library (GSL) (dummy package)
 The GNU Scientific Library (GSL) is a collection of data types and
 routines for numerical computing. Ruby/GSL is an interface to the GNU
 Scientific Library for the Ruby programming language.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently 1.8.x).

Package: libgsl-ruby-doc
Section: doc
Depends: libgsl-ruby (>= ${source:Version}), ${misc:Depends}
Architecture: all
Description: Documentation for Ruby/GSL (libgsl-ruby)
 This package provides documentation, example scripts and unit tests for
 Ruby/GSL.
 .
 Ruby/GSL is an interface to the GNU Scientific Library for the Ruby
 programming language.
 . 
 This is for ruby 1.8

Package: libgsl-ruby1.9.1
Architecture: any
Depends: ruby1.9.1, plotutils, ${shlibs:Depends}, ${misc:Depends}
Suggests: libgsl-ruby-doc
Description: Ruby bindings for the GNU Scientific Library (GSL)
 The GNU Scientific Library (GSL) is a collection of data types and
 routines for numerical computing. Ruby/GSL is an interface to the GNU
 Scientific Library for the Ruby programming language.
 . 
 This is for ruby 1.9.1

Package: libgsl-ruby1.9.1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgsl-ruby1.9.1 (= ${binary:Version}), ${misc:Depends}
Description: Ruby bindings for the GNU Scientific Library (GSL)
 The GNU Scientific Library (GSL) is a collection of data types and
 routines for numerical computing. Ruby/GSL is an interface to the GNU
 Scientific Library for the Ruby programming language.
 . 
 This is for ruby 1.9.1
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.
