=== debian/rules ===
#!/usr/bin/make -f

ruby_ver1.8 = 1.8
ruby_ver1.9.1 = 1.9.1

DEB_DBG_PACKAGE_libgsl-ruby$(ruby_ver1.8) = libgsl-ruby$(ruby_ver1.8)-dbg
DEB_DBG_PACKAGE_libgsl-ruby$(ruby_ver1.9.1) = libgsl-ruby$(ruby_ver1.9.1)-dbg

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-setup-rb.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_RUBY_CONFIG_ARGS += --siterubyverarch=$(DEB_RUBY_ARCHDIR)

DEB_INSTALL_DOCS_libgsl-ruby-doc += $(DEB_SRCDIR)/examples
DEB_INSTALL_DOCS_libgsl-ruby-doc += $(DEB_SRCDIR)/html
DEB_INSTALL_DOCS_libgsl-ruby-doc += $(DEB_SRCDIR)/tests


# cleanup
binary-install/libgsl-ruby-doc::
	rm -rf debian/libgsl-ruby-doc/usr/share/doc/libgsl-ruby-doc/html/.xvpics
	rm -rf debian/libgsl-ruby-doc/usr/share/doc/libgsl-ruby-doc/examples/fit/*.dat
	rm -rf debian/libgsl-ruby-doc/usr/share/doc/libgsl-ruby-doc/examples/linalg/linalg.replaced
	rm -rf debian/libgsl-ruby-doc/usr/share/doc/libgsl-ruby-doc/examples/gallery/rgplot/rgplot.replaced
	chmod a-x debian/libgsl-ruby-doc/usr/share/doc/libgsl-ruby-doc/examples/integration/cosmology.rb
