=== debian/watch ===
version=3
http://rubyforge.org/frs/?group_id=285 .*rb-gsl-(.*)\.t.*
